Sign inGet started

Update allow/block rule

PATCH
/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}
Update Allow/Block rule
Payload della richiesta
category
string
type
string
value
string
Payload della risposta
category
string
obbligatorio
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
createdAt
string
obbligatorio
createdBy
string
obbligatorio
id
string
obbligatorio
type
string
obbligatorio
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
updatedAt
string
obbligatorio
updatedBy
string
obbligatorio
value
string
obbligatorio
workspaceId
string
obbligatorio
Esempio di codice
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Esempio di codice
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversation-allowblock-rules" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "category": "domain",
  "value": "test.com",
  "type": "reject"
}'